package com.yunzhi.nanyang.controller;

import com.yunzhi.nanyang.common.BaseController;
import com.yunzhi.nanyang.common.ResponseBean;
import com.yunzhi.nanyang.service.ITaMachineryService;
import com.yunzhi.nanyang.service.ITaOrderService;
import com.yunzhi.nanyang.service.ITaOrgService;
import com.yunzhi.nanyang.service.ITaPersonService;
import com.yunzhi.nanyang.vo.ChartParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

@Api(tags = "统计查询")
@RestController
@RequestMapping("/admin")
public class StatisController extends BaseController {

    @Autowired
    ITaPersonService iTaPersonService;

    @Autowired
    ITaOrgService iTaOrgService;

    @Autowired
    ITaMachineryService iTaMachineryService;

    @Autowired
    ITaOrderService iTaOrderService;


    @GetMapping("/summary")
    @ApiOperation(value="登录", notes = "登录", httpMethod = "POST", response = ResponseBean.class)
    public ResponseBean summary() throws Exception {

        List<ChartParam> resp = new ArrayList<>();

        // 统计注册用户
        ChartParam personNum = iTaPersonService.statisTotal();
        resp.add(personNum);

        // 合作社数
        ChartParam orgNum = iTaOrgService.statisTotal();
        resp.add(orgNum);

        // 农机数
        ChartParam machineryNum = iTaMachineryService.statisTotal();
        resp.add(machineryNum);

        // 订单数
        ChartParam orderNum = iTaOrderService.statisTotal();
        resp.add(orderNum);

        return ResponseBean.success(resp);
    }
}
