package com.yunzhi.nanyang.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.nanyang.common.BaseController;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.common.ResponseBean;
import com.yunzhi.nanyang.entity.SysUser;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import cn.dev33.satoken.annotation.SaCheckPermission;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import com.yunzhi.nanyang.service.ISysMenuService;
import com.yunzhi.nanyang.entity.SysMenu;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
    * 菜单表 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */

@Api(tags = "菜单表")
@RestController
@RequestMapping("/")
public class SysMenuController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(SysMenuController.class);

    @Autowired
    public ISysMenuService iSysMenuService;


    /**
     * 分页查询列表
     * @return
     */
    @RequestMapping(value="/admin/menu",method= RequestMethod.GET)
    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean sysMenuList() throws Exception{

        // 管理员可以查看所有菜单
        // 普通用户只能查看自己授权的
        SysUser sysUser = currentUser();
        boolean isAdmin = sysUser.getUserId().equals(Constants.ADMIN_ID);

        List<SysMenu> result = iSysMenuService.listBy(isAdmin, sysUser.getUserId());
        return ResponseBean.success(result);
    }
}
