package com.yunzhi.nanyang.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.nanyang.common.BaseController;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.common.ResponseBean;
import com.yunzhi.nanyang.entity.SysUser;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import com.yunzhi.nanyang.service.ISysPermissionService;
import com.yunzhi.nanyang.entity.SysPermission;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
    * 权限表 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */

@Api(tags = "权限表")
@RestController
@RequestMapping("/")
public class SysPermissionController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(SysPermissionController.class);

    @Autowired
    public ISysPermissionService iSysPermissionService;


    /**
     * 分页查询列表
     * @return
     */
    @RequestMapping(value="/admin/permission",method= RequestMethod.GET)
    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean sysPermissionList() throws Exception{

        // 管理员可以查看所有
        // 普通用户只能查看自己授权的
        SysUser sysUser = currentUser();
        boolean isAdmin = sysUser.getUserId().equals(Constants.ADMIN_ID);

        List<SysPermission> result = iSysPermissionService.listBy(isAdmin, sysUser.getUserId());
        return ResponseBean.success(result);
    }

}
