package com.yunzhi.nanyang.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.nanyang.common.BaseController;
import com.yunzhi.nanyang.common.ResponseBean;
import com.yunzhi.nanyang.common.StringUtils;
import com.yunzhi.nanyang.entity.TaMessage;
import com.yunzhi.nanyang.entity.TaWorkMessage;
import com.yunzhi.nanyang.service.ITaWorkMessageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
    * 作业消息表 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */

@Api(tags = "作业消息表")
@RestController
@RequestMapping("/")
public class TaWorkMessageController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaWorkMessageController.class);

    @Autowired
    ITaWorkMessageService iTaWorkMessageService;

    /**
     * 分页查询列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    @RequestMapping(value="/admin/work-message",method= RequestMethod.GET)
    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean getList(@ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
                                @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize,
                                @ApiParam("消息类型") @RequestParam(value ="messageType", required = false) String messageType) throws Exception{

        IPage<TaWorkMessage> pg = new Page<>(pageNum, pageSize);
        QueryWrapper<TaWorkMessage> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(StringUtils.isEmpty(messageType), "message_type", messageType);
        queryWrapper.orderByDesc("create_date");

        IPage<TaWorkMessage> result = iTaWorkMessageService.page(pg, queryWrapper);
        return ResponseBean.success(result);
    }
}
