package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 阿里支付配置
 * </p>
 *
 * @author yansen
 * @since 2022-06-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SysAliPayConfig对象", description="阿里支付配置")
public class SysAliPayConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "应用ID")
    @TableId(value = "appid", type = IdType.INPUT)
    private String appid;

    @ApiModelProperty(value = "应用类型")
    private String appType;

    @ApiModelProperty(value = "应用私钥")
    private String privateKey;

    @ApiModelProperty(value = "应用公钥证书路径")
    private String certPath;

    @ApiModelProperty(value = "支付宝公钥证书路径")
    private String alipayPublicCertPath;

    @ApiModelProperty(value = "支付宝根证书路径")
    private String rootCertPath;

    @ApiModelProperty(value = "网关地址")
    private String serverUrl;

    @ApiModelProperty(value = "授权地址")
    private String authUrl;

    @ApiModelProperty(value = "授权回调地址")
    private String authCallback;

    @ApiModelProperty(value = "支付回调地址")
    private String notifyUrl;

    @ApiModelProperty(value = "状态")
    private Integer status;

}
