package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 登录表
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SysLogin对象", description="登录表")
public class SysLogin implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "登录id")
    @TableId(value = "login_id", type = IdType.UUID)
    private String loginId;

    @ApiModelProperty(value = "用户Id")
    private String userId;

    @ApiModelProperty(value = "登录账户（phone）")
    private String loginName;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "账号类型;1后端账号 2前端账号")
    private String userType;

    @ApiModelProperty(value = "状态;1启用 2禁用")
    private Integer status;

}
