package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 小程序表
 * </p>
 *
 * @author yansen
 * @since 2022-03-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SysMiniapp对象", description="小程序表")
public class SysMiniapp implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "appid")
    @TableId(value = "app_id", type = IdType.INPUT)
    private String appId;

    @ApiModelProperty(value = "小程序名称")
    private String name;

    @ApiModelProperty(value = "secret")
    private String secret;

    @ApiModelProperty(value = "token")
    private String token;

    @ApiModelProperty(value = "aesKey")
    private String aesKey;

    @ApiModelProperty(value = "客户端")
    private String client;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
