package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统设置
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SysSetting对象", description="系统设置")
public class SysSetting implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "setting_id", type = IdType.INPUT)
    private String settingId;

    @ApiModelProperty(value = "设置描述")
    private String settingDesc;

    @ApiModelProperty(value = "值")
    private String settingValue;

    @ApiModelProperty(value = "是否隐藏")
    private Integer isHidden;

    @ApiModelProperty(value = "序号")
    private Integer sortNo;

    @ApiModelProperty(value = "状态")
    private Integer status;


}
