package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 微信支付配置
 * </p>
 *
 * @author yansen
 * @since 2022-06-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SysWxPayConfig对象", description="微信支付配置")
public class SysWxPayConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "应用ID")
    @TableId(value = "appid", type = IdType.INPUT)
    private String appid;

    @ApiModelProperty(value = "应用类型")
    private String appType;

    @ApiModelProperty(value = "商户ID")
    private String mchId;

    @ApiModelProperty(value = "商户密钥")
    private String mchKey;

    @ApiModelProperty(value = "子商户应用ID")
    private String subAppId;

    @ApiModelProperty(value = "子商户ID")
    private String subMchId;

    @ApiModelProperty(value = "微信V3版本KEY")
    private String apiV3Key;

    @ApiModelProperty(value = "密钥路径")
    private String keyPath;

    @ApiModelProperty(value = "私钥路径")
    private String privateKeyPath;

    @ApiModelProperty(value = "私钥证书路径")
    private String privateCertPath;

    @ApiModelProperty(value = "支付回调")
    private String notifyUrl;

    @ApiModelProperty(value = "状态")
    private Integer status;


}
