package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 账户表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaAccount对象", description="账户表")
public class TaAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "账户id")
    @TableId(value = "account_id", type = IdType.UUID)
    private String accountId;

    @ApiModelProperty(value = "人员ID;1银行卡号2微信账户3支付宝账户")
    private String userId;

    @ApiModelProperty(value = "余额")
    private Integer amounts;

    @ApiModelProperty(value = "累计支出")
    private Integer paidFee;

    @ApiModelProperty(value = "充值金额")
    private Integer depositFee;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
