package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 流水表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaAccountLog对象", description="流水表")
public class TaAccountLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "流水id")
    @TableId(value = "log_id", type = IdType.AUTO)
    private Integer logId;

    @ApiModelProperty(value = "支付Id")
    private String payId;

    @ApiModelProperty(value = "账户Id")
    private String accountId;

    @ApiModelProperty(value = "收支类型;1收入, -1支出")
    private Integer feeType;

    @ApiModelProperty(value = "消费类型;押金,人工费等")
    private String chargeType;

    @ApiModelProperty(value = "流水金额")
    private Integer money;

    @ApiModelProperty(value = "订单Id")
    private String orderId;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "发生时间")
    private LocalDateTime createDate;


}
