package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 银行卡
 * </p>
 *
 * @author yansen
 * @since 2022-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaBankCard对象", description="银行卡")
public class TaBankCard implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "卡ID")
    @TableId(value = "card_id", type = IdType.UUID)
    private String cardId;

    @ApiModelProperty(value = "卡号")
    private String cardNo;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "持卡人名称")
    private String owerName;

    @ApiModelProperty(value = "预留手机")
    private String phone;

    @ApiModelProperty(value = "开户行")
    private String ownerBank;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
