package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 调度表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaDispatch对象", description="调度表")
public class TaDispatch implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "调度ID")
    @TableId(value = "dispatch_id", type = IdType.UUID)
    private String dispatchId;

    @ApiModelProperty(value = "订单ID")
    private String orderId;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @ApiModelProperty(value = "农机手")
    private String workerId;

    @ApiModelProperty(value = "农机手名称")
    private String workerName;

    @ApiModelProperty(value = "农机ID")
    private String machineryId;

    @ApiModelProperty(value = "农机名称")
    private String machineryName;

    @ApiModelProperty(value = "类型ID")
    private String typeId;

    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
