package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 拓展内容表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaExtendContent对象", description="拓展内容表")
public class TaExtendContent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户号")
    @TableId(value = "ext_id", type = IdType.UUID)
    private String extId;

    @ApiModelProperty(value = "扩展对象类型;message消息表 bannar轮播图 info资讯")
    private String targetType;

    @ApiModelProperty(value = "拓展对象Id")
    private String targetId;

    @ApiModelProperty(value = "内容类型;text文本 image图片")
    private String contentType;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
