package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 意见反馈
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaFeedback对象", description="意见反馈")
public class TaFeedback implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "反馈ID")
    @TableId(value = "feedback_id", type = IdType.UUID)
    private String feedbackId;

    @ApiModelProperty(value = "反馈端口")
    private String fromPort;

    @ApiModelProperty(value = "反馈人ID")
    private String fromPerson;

    @ApiModelProperty(value = "反馈内容")
    private String content;

    @ApiModelProperty(value = "处理结果")
    private String result;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @TableField(exist = false)
    @ApiModelProperty(value = "名称")
    private String nickName;

    @TableField(exist = false)
    @ApiModelProperty(value = "手机号")
    private String phone;
}
