package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 农机表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaMachinery对象", description="农机表")
public class TaMachinery implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "农机Id")
    @TableId(value = "machinery_id", type = IdType.UUID)
    private String machineryId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "农机类型")
    private String typeId;

    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @ApiModelProperty(value = "农机价格")
    private Integer price;

    @ApiModelProperty(value = "购买时间")
    private LocalDateTime buyDate;

    @ApiModelProperty(value = "押金")
    private Integer deposit;

    @ApiModelProperty(value = "人工费")
    private Integer laborCost;

    @ApiModelProperty(value = "主图")
    private String thumb;

    @ApiModelProperty(value = "归属区域")
    private String regionId;

    @ApiModelProperty(value = "归属区域")
    private String regionName;

    @ApiModelProperty(value = "当前位置")
    private String location;

    @ApiModelProperty(value = "APP 注册状态")
    private String appStatus;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @TableField(exist = false)
    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @ApiModelProperty(value = "工作状态")
    private String jobStatus;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "设备状态, 1在线")
    private Integer onlineStatus;

    @ApiModelProperty(value = "创建用户")
    private String createUser;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "更新用户")
    private String updateUser;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateDate;

    @TableField(exist = false)
    @ApiModelProperty(value = "主图")
    private List<TaImages> images;
}
