package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 消息模板
 * </p>
 *
 * @author yansen
 * @since 2022-04-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaMessageTemplate对象", description="消息模板")
public class TaMessageTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模板ID")
    @TableId(value = "tpl_id", type = IdType.AUTO)
    private Integer tplId;

    @ApiModelProperty(value = "模板类型;sms短信,miniapp小程序")
    private String tplType;

    @ApiModelProperty(value = "适用业务")
    private String bizType;

    @ApiModelProperty(value = "模块ID")
    private String appId;

    @ApiModelProperty(value = "对应模板ID;模板类型对应的模板ID,比如短信模板ID")
    private String appTplId;

    @ApiModelProperty(value = "模板sign")
    private String appTplSign;

    @ApiModelProperty(value = "模板内容;JSON格式")
    private String appTplContent;

    @ApiModelProperty(value = "模板动作;JSON格式")
    private String appTplAction;

    @ApiModelProperty(value = "状态")
    private Integer status;


}
