package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 支付信息
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPay对象", description="支付信息")
public class TaPay implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "支付ID")
	@TableId(value = "pay_id", type = IdType.INPUT)
	private String payId;

	@ApiModelProperty(value = "订单ID")
	private String orderId;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "支付人")
	private String personId;

	@ApiModelProperty(value = "支付类型")
	private String payType;

	@ApiModelProperty(value = "是否退款")
	private Boolean isRefund;

	@ApiModelProperty(value = "支付结果描述")
	private String message;

	@ApiModelProperty(value = "支付金额;单位分")
	private Integer charges;

	@ApiModelProperty(value = "商品描述")
	private String description;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createDate;

	@ApiModelProperty(value = "支付时间")
	private LocalDateTime payDate;

}
