package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 提现表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaWithdrawal对象", description="提现表")
public class TaWithdrawal implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "提现Id")
    @TableId(value = "withdrawal_id", type = IdType.UUID)
    private String withdrawalId;

    @ApiModelProperty(value = "申请人")
    private String userId;

    @ApiModelProperty(value = "申请人姓名")
    private String userName;

    @TableField(exist = false)
    @ApiModelProperty(value = "申请人手机号")
    private String phone;

    @ApiModelProperty(value = "提现金额")
    private Integer money;

    @ApiModelProperty(value = "审批人")
    private String auditUser;

    @ApiModelProperty(value = "审批人姓名")
    private String auditUserName;

    @ApiModelProperty(value = "审核状态;未审批,不同意,同意")
    private Integer auditStatus;

    @ApiModelProperty(value = "审核结果")
    private String auditRemark;

    @ApiModelProperty(value = "审核时间")
    private LocalDateTime auditDate;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "打款方式")
    private String accountCardType;

    @ApiModelProperty(value = "打款账号")
    private String accountCardNo;

    @ApiModelProperty(value = "打款时间")
    private LocalDateTime postedDate;

    @ApiModelProperty(value = "申请时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @TableField(exist = false)
    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @TableField(exist = false)
    @ApiModelProperty(value = "银行卡")
    private TaBankCard bankCard;

    @TableField(exist = false)
    @ApiModelProperty(value = "账户余额")
    private Integer amountLeft;
}
