package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 作业表
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaWorkJob对象", description="作业表")
public class TaWorkJob implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "作业ID")
    @TableId(value = "job_id", type = IdType.UUID)
    private String jobId;

    @ApiModelProperty(value = "调度ID")
    private String dispatchId;

    @ApiModelProperty(value = "订单ID")
    private String orderId;

    @ApiModelProperty(value = "农机手ID")
    private String workerId;

    @ApiModelProperty(value = "农机ID")
    private String machineryId;

    @ApiModelProperty(value = "开始时间")
    private LocalDateTime startDate;

    @ApiModelProperty(value = "结束时间")
    private LocalDateTime endDate;

    @ApiModelProperty(value = "区域ID")
    private String regionId;

    @ApiModelProperty(value = "作业类型")
    private String typeId;

    @ApiModelProperty(value = "作业面积")
    private String area;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @TableField(exist = false)
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @TableField(exist = false)
    @ApiModelProperty(value = "下单人Id")
    private String personId;

    @TableField(exist = false)
    @ApiModelProperty(value = "下单人名称")
    private String personName;

    @TableField(exist = false)
    @ApiModelProperty(value = "下单人手机号")
    private String phone;

    @TableField(exist = false)
    @ApiModelProperty(value = "地址")
    private String address;

    @TableField(exist = false)
    @ApiModelProperty(value = "费用")
    private Integer charges;

    @TableField(exist = false)
    @ApiModelProperty(value = "预约时间")
    private LocalDateTime appointmentDate;

    @TableField(exist = false)
    @ApiModelProperty(value = "下单时间")
    private LocalDateTime orderDate;

    @TableField(exist = false)
    @ApiModelProperty(value = "农机手名称")
    private String workerName;

    @TableField(exist = false)
    @ApiModelProperty(value = "农机名称")
    private String machineryName;

    @TableField(exist = false)
    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @TableField(exist = false)
    @ApiModelProperty(value = "农机型号Id")
    private String machineryTypeId;

    @TableField(exist = false)
    @ApiModelProperty(value = "农机型号名称")
    private String machineryTypeName;
}
