package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 海康设备表
 * </p>
 *
 * @author yansen
 * @since 2022-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdHatcDevice对象", description="海康设备表")
public class TdHatcDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "device_id", type = IdType.UUID)
    private String deviceId;

    private String modelCode;
    private String modelName;
    private String protocol;

    @ApiModelProperty(value = "终端ID;必填")
    private String terminalId;

    @ApiModelProperty(value = "产品密钥;设备所属型号的产品密钥，必填")
    private String productKey;

    @ApiModelProperty(value = "设备型号名称;选填")
    private String deviceModel;

    @ApiModelProperty(value = "设备名称;(最长不超过32个字)，选填")
    private String deviceName;

    @ApiModelProperty(value = "软件版本;选填")
    private String version;

    @ApiModelProperty(value = "软件版本时间;(格式：yyyy-MM-dd)，选填")
    private String softwareVerTime;

    @ApiModelProperty(value = "出厂时间;(格式：yyyy-MM-dd)，选填")
    private String createTime;

    @ApiModelProperty(value = "在线状态;0：离线；1：在线，选填")
    private Integer deviceStatus;

    @ApiModelProperty(value = "SIM卡号;选填")
    private String simcardNum;

    @ApiModelProperty(value = "固件语言;必填")
    private String language;

    @ApiModelProperty(value = "厂商名;选填")
    private String manufacturerName;

    @ApiModelProperty(value = "验证码;选填")
    private String cerificationCode;

    @ApiModelProperty(value = "冻结状态;0:正常；1:冻结，选填")
    private Integer useStatus;

    @ApiModelProperty(value = "自动解冻时间;useStatus为 1 时该字段有效，选填")
    private String useTime;

    @ApiModelProperty(value = "设备在AMS系统中的项目编号;如果是ARM系统，该字段必填，其他系统该字段不填")
    private String amsProjectCode;

    @ApiModelProperty(value = "设备通道列表;选填")
    private String deviceChannelList;

    @ApiModelProperty(value = "车牌号;选填")
    private String plateNum;

    @ApiModelProperty(value = "机构ID")
    private String orgId;


}
