package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Mapper
public interface SysUserMapper extends BaseMapper<SysUser> {

    SysUser getByLoginId(@Param("loginId") String loginId);

    IPage<SysUser> getPageBy(IPage<SysUser> pg,
                             @Param("adminId") String adminId,
                             @Param("userId") String userId,
                             @Param("orgId") String orgId,
                             @Param("name") String name,
                             @Param("phone") String phone);

    @Select("select * from sys_user where phone = #{phone} and status > -1")
    SysUser selectByPhone(@Param("phone") String phone);
}
