package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.vo.ChartParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * <p>
 * 订单表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaOrderMapper extends BaseMapper<TaOrder> {

    @Select("SELECT fn_nextval(#{name})")
    int getNextOrderNO(@Param("name") String name);

    IPage<TaOrder> getAdminPage(IPage<TaOrder> pg,
                                @Param("userId") String userId,
                                @Param("orgId") String orgId,
                                @Param("orderNo") String orderNo,
                                @Param("machineryId") String machineryId,
                                @Param("typeId") String typeId,
                                @Param("personName") String personName,
                                @Param("phone") String phone,
                                @Param("payStatus") Integer payStatus,
                                @Param("dispatchStatus") Integer dispatchStatus,
                                @Param("workStatus") Integer workStatus,
                                @Param("isEvaluated") Integer isEvaluated,
                                @Param("isWarn") Boolean isWarn);

    IPage<TaOrder> getClientPage(IPage<TaOrder> pg,
                                 @Param("personId") String personId,
                                 @Param("q") String q);

    IPage<TaOrder> getOrderDispatched(IPage<TaOrder> pg,
                                      @Param("userId") String userId,
                                      @Param("workStatus") Integer workStatus,
                                      @Param("q") String q);

    List<TaOrder> checkMachineryDuty(@Param("machineryId") String machineryId,@Param("appointmentDate") String appointmentDate);

//    @Update("UPDATE ta_order SET pay_status = #{payStatus} WHERE order_id = #{orderId}")
    int updatePayStatus(@Param("orderId") String orderId, @Param("payStatus") int payStatus);

    @Update("UPDATE ta_order SET dispatch_status = #{dispatchStatus} WHERE order_id = #{orderId}")
    int updateDispatchStatus(@Param("orderId") String orderId, @Param("dispatchStatus") int dispatchStatus);

    @Select("SELECT 'order' as `name`, count(*) as `value` FROM ta_order WHERE `status` > -1")
    ChartParam statisTotal();
}
