package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaOrg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.vo.ChartParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * 机构管理 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaOrgMapper extends BaseMapper<TaOrg> {

    IPage<TaOrg> getPageBy(IPage<TaOrg> pg, @Param("userId") String userId, @Param("name") String name);

    @Select("SELECT 'org' as `name`, count(*) as `value`  FROM ta_org t WHERE t.`status` > -1")
    ChartParam statisTotal();

    @Update("UPDATE ta_org SET ${fieldName} = ${fieldName} + #{increment} WHERE org_id = #{orgId} ")
    int updateNum(@Param("orgId") String orgId, @Param("fieldName") String fieldName, @Param("increment") int increment);
}
