package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.vo.ChartParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 人员表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaPersonMapper extends BaseMapper<TaPerson> {

    @Select("SELECT * FROM ta_person t WHERE t.app_id = #{appid} AND t.openid = #{openid} AND t.`status` > -1")
    TaPerson getByOpenId(@Param("appid") String appid, @Param("openid") String openid);

    @Select("SELECT * FROM ta_person t WHERE t.user_id = #{userId} AND t.`status` > -1")
    TaPerson getByUserId(@Param("userId") String userId);
    
    @Select("SELECT 'person' as `name`, count(*) as `value`  FROM ta_person t WHERE t.phone is not null AND t.`status` > -1")
    ChartParam statisTotal();

    @Select("SELECT * FROM ta_person t WHERE t.phone = #{phone} AND t.identity = #{clientId} AND t.`status` > -1")
    TaPerson getByPhone(@Param("clientId") String clientId,@Param("phone")  String phone);

    IPage<TaPerson> getPageBy(IPage<TaPerson> pg, @Param("identity") String identity, @Param("nickName") String nickName, @Param("phone") String phone);

    int unBindUser(String userId);
}
