package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaMachinery;
import com.yunzhi.nanyang.vo.ChartParam;
import com.yunzhi.nanyang.vo.MachineSummary;

import java.util.List;

/**
 * <p>
 * 农机表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITaMachineryService extends IBaseService<TaMachinery> {

    boolean saveAll(TaMachinery taMachinery) throws Exception;

    boolean updateAll(TaMachinery taMachinery)  throws Exception;

    TaMachinery getDetail(String machineryId);

    boolean updateTypeName(String typeId, String typeName);

    boolean updateRegionName(String regionId, String regionName);

    IPage<MachineSummary> getSummaryList(IPage<MachineSummary> pg, String location, String typeId, String orgId, String q, String clientId);

    MachineSummary getSummaryDetail(String machineryId, String location, Boolean attached);

    boolean updateStatus(String machineryId, String statusColumn, int statusValue);

    IPage<TaMachinery> getPageBy(IPage<TaMachinery> pg, String name, String typeId, String orgId, Integer status);

    ChartParam statisTotal();

    List<TaMachinery> listByTypeWithLoc(String typeId);
}
