package com.yunzhi.nanyang.service.impl;

import cn.dev33.satoken.stp.StpInterface;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.entity.*;
import com.yunzhi.nanyang.mapper.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

@Service
public class ManagerServiceImpl implements StpInterface {

    @Autowired
    SysLoginMapper sysLoginMapper;

    @Autowired
    SysUserMapper sysUserMapper;

    @Autowired
    SysUserRoleMapper sysUserRoleMapper;

    @Autowired
    SysRoleMapper sysRoleMapper;

    @Autowired
    SysRolePermissionMapper sysRolePermissionMapper;

    @Autowired
    SysPermissionMapper sysPermissionMapper;

    @Override
    public List<String> getRoleList(Object loginId, String loginType) {
        SysLogin sysLogin = sysLoginMapper.selectById(loginId.toString());

        if (sysLogin.getUserId().equals(Constants.ADMIN_ID)) {
            return sysRoleMapper.getAllRole();
        }

        return sysUserRoleMapper.getRoleByUser(sysLogin.getUserId());
    }

    @Override
    public List<String> getPermissionList(Object loginId, String loginType) {
        SysLogin sysLogin = sysLoginMapper.selectById(loginId.toString());
        String userId = sysLogin.getUserId();
        boolean isAdmin = userId.equals(Constants.ADMIN_ID);

        return sysRolePermissionMapper.getPermissionByUser(isAdmin, userId);
    }

}
