package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.entity.SysLogin;
import com.yunzhi.nanyang.mapper.SysLoginMapper;
import com.yunzhi.nanyang.service.ISysLoginService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.nanyang.vo.LoginParam;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 登录表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Service
public class SysLoginServiceImpl extends BaseServiceImpl<SysLoginMapper, SysLogin> implements ISysLoginService {

    @Override
    public SysLogin getByLogin(LoginParam loginParam) {
        return baseMapper.getByLogin(loginParam.getLoginType(), loginParam.getUserName());
    }

    @Override
    public boolean removeLogicByUser(String userId) {
        UpdateWrapper<SysLogin> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("status", Constants.STATUS_DELETE);
        updateWrapper.eq("user_id", userId);

        return update(updateWrapper);
    }
}
