package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.common.StringUtils;
import com.yunzhi.nanyang.entity.SysUserDataScope;
import com.yunzhi.nanyang.mapper.SysUserDataScopeMapper;
import com.yunzhi.nanyang.service.ISysUserDataScopeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 用户数据权限 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class SysUserDataScopeServiceImpl extends BaseServiceImpl<SysUserDataScopeMapper, SysUserDataScope> implements ISysUserDataScopeService {

    @Override
    public boolean checkOrgAccess(String orgId, String userId) {
        // 人员空
        if (StringUtils.isEmpty(userId)) return false;
        // 组织空或者管理员
        if (StringUtils.isEmpty(orgId) || Constants.ADMIN_ID.equals(userId)) return true;

        Collection<SysUserDataScope> sysUserDataScopes = listByMap(new HashMap<String, Object>() {{
            put("org_id", orgId);
            put("user_id", userId);
        }});

        return null != sysUserDataScopes && sysUserDataScopes.size() > 0;
    }

    @Override
    public boolean addNew(String orgId, String userId) {
        Collection<SysUserDataScope> sysUserDataScopes = listByMap(new HashMap<String, Object>() {{
            put("org_id", orgId);
            put("user_id", userId);
        }});

        if (null != sysUserDataScopes && sysUserDataScopes.size() > 0) return true;

        SysUserDataScope sysUserDataScope = new SysUserDataScope();
        sysUserDataScope.setOrgId(orgId);
        sysUserDataScope.setUserId(userId);

        return save(sysUserDataScope);
    }

    @Override
    public List<String> getAccessOrgs(String userId) {
        return baseMapper.getAccessOrgs(userId);
    }
}
