package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.entity.SysUserRole;
import com.yunzhi.nanyang.mapper.SysUserRoleMapper;
import com.yunzhi.nanyang.service.ISysUserRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.tomcat.util.bcel.Const;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户角色 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Service
public class SysUserRoleServiceImpl extends BaseServiceImpl<SysUserRoleMapper, SysUserRole> implements ISysUserRoleService {

    @Override
    public SysUserRole checkExist(String roleId, String userId) {
        if (Constants.ADMIN_ID.equals(userId)) {
            SysUserRole sysUserRole = new SysUserRole();
            sysUserRole.setRoleId(roleId);
            sysUserRole.setUserId(userId);
            return sysUserRole;
        }

        QueryWrapper<SysUserRole> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("user_id", userId);
        queryWrapper.eq("role_id", roleId);
        return getOne(queryWrapper);
    }

    @Override
    public List<SysUserRole> listByUser(String userId) {
        return baseMapper.listByUser(userId);
    }
}
