package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.entity.SysUser;
import com.yunzhi.nanyang.mapper.SysMenuMapper;
import com.yunzhi.nanyang.mapper.SysUserMapper;
import com.yunzhi.nanyang.service.ISysUserService;
import com.yunzhi.nanyang.vo.AccessInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Service
public class SysUserServiceImpl extends BaseServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Autowired
    SysMenuMapper sysMenuMapper;

    @Override
    public Map<String, Object> getUerProfile(String userId, SysUser sysUser) throws Exception {
        Map<String, Object> res = new HashMap<>();

        if (sysUser == null) {
            sysUser = getById(userId);
        }

        if (sysUser == null) {
            throw new Exception("用户不存在");
        }
        if (Constants.STATUS_NORMAL != sysUser.getStatus()) {
            throw new Exception("用户状态异常");
        }

        res.put("user", sysUser);

        // 管理员的账号是 1
        boolean isAdmin = userId.equals(Constants.ADMIN_ID);
        List<AccessInfo> menu = sysMenuMapper.getAccessList(isAdmin, userId);
        res.put("menu", menu);

        return res;
    }

    @Override
    public SysUser getByLoginId(String loginId) {
        return baseMapper.getByLoginId(loginId);
    }

    @Override
    public IPage<SysUser> getPageBy(IPage<SysUser> pg, String userId, String orgId, String name, String phone) {
        return baseMapper.getPageBy(pg, Constants.ADMIN_ID, userId, orgId, name, phone);
    }
}
