package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.yunzhi.nanyang.entity.TaAddress;
import com.yunzhi.nanyang.mapper.TaAddressMapper;
import com.yunzhi.nanyang.service.ITaAddressService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 地址 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaAddressServiceImpl extends BaseServiceImpl<TaAddressMapper, TaAddress> implements ITaAddressService {

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean updateDefault(TaAddress taAddress) throws Exception {

        // 先清除所有
        UpdateWrapper<TaAddress> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("is_default", 0);
        updateWrapper.eq("owner_type", taAddress.getOwnerType());
        updateWrapper.eq("owner_id", taAddress.getOwnerId());
        update(updateWrapper);

        // 再更新当前
        taAddress.setIsDefault(true);
        taAddress.setSortNo(0);

        return updateById(taAddress);
    }
}
