package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.entity.TaMessageTemplate;
import com.yunzhi.nanyang.mapper.TaMessageTemplateMapper;
import com.yunzhi.nanyang.service.ITaMessageTemplateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 消息模板 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-04-11
 */
@Service
public class TaMessageTemplateServiceImpl extends ServiceImpl<TaMessageTemplateMapper, TaMessageTemplate> implements ITaMessageTemplateService {

    @Override
    public TaMessageTemplate getTemplateByType(String tplType, String bizType) {
        QueryWrapper<TaMessageTemplate> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("tpl_type", tplType);
        queryWrapper.eq("biz_type", bizType);
        queryWrapper.eq("status", Constants.STATUS_NORMAL);

        return getOne(queryWrapper);
    }

    @Override
    public List<TaMessageTemplate> getByTplType(String tplType) {
        QueryWrapper<TaMessageTemplate> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("tpl_type", tplType);
        queryWrapper.eq("status", Constants.STATUS_NORMAL);

        return list(queryWrapper);
    }


}
