package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.entity.SysUser;
import com.yunzhi.nanyang.entity.SysUserDataScope;
import com.yunzhi.nanyang.entity.TaOrg;
import com.yunzhi.nanyang.mapper.SysUserDataScopeMapper;
import com.yunzhi.nanyang.mapper.TaOrgMapper;
import com.yunzhi.nanyang.service.ITaOrgService;
import com.yunzhi.nanyang.vo.ChartParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 机构管理 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaOrgServiceImpl extends BaseServiceImpl<TaOrgMapper, TaOrg> implements ITaOrgService {

    @Autowired
    SysUserDataScopeMapper sysUserDataScopeMapper;

    @Override
    public IPage<TaOrg> getPageBy(IPage<TaOrg> pg, SysUser sysUser, String name) {
        return baseMapper.getPageBy(pg, sysUser.getUserId(), name);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveWithDataScope(TaOrg taOrg) throws Exception {
        boolean isOk = save(taOrg);
        if (!isOk) return false;

        SysUserDataScope sysUserDataScope = new SysUserDataScope();
        sysUserDataScope.setUserId(taOrg.getCreateUser());
        sysUserDataScope.setOrgId(taOrg.getOrgId());
        sysUserDataScopeMapper.insert(sysUserDataScope);

        if (!taOrg.getCreateUser().equals(Constants.ADMIN_ID)) {

            SysUserDataScope tab = new SysUserDataScope();
            tab.setUserId(Constants.ADMIN_ID);
            tab.setOrgId(taOrg.getOrgId());
            sysUserDataScopeMapper.insert(sysUserDataScope);
        }

        return true;
    }

    @Override
    public ChartParam statisTotal() {
        return baseMapper.statisTotal();
    }

    @Override
    public int updateNum(String orgId, String fieldName, int increment) {
        return baseMapper.updateNum(orgId, fieldName, increment);
    }
}
