package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.common.StringUtils;
import com.yunzhi.nanyang.entity.SysUser;
import com.yunzhi.nanyang.entity.TaPerson;
import com.yunzhi.nanyang.mapper.SysUserMapper;
import com.yunzhi.nanyang.mapper.TaPersonMapper;
import com.yunzhi.nanyang.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.nanyang.vo.ChartParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 人员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaPersonServiceImpl extends BaseServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Autowired
    SysUserMapper sysUserMapper;

    @Override
    public TaPerson getByOpenId(String appid, String openid) {
        return baseMapper.getByOpenId(appid, openid);
    }

    @Override
    public void tryBindUser(TaPerson taPerson) {
        if (null == taPerson) return;

        try {
            if (!StringUtils.isEmpty(taPerson.getPhone())) {
                SysUser sysUser = sysUserMapper.selectByPhone(taPerson.getPhone());
                if (null != sysUser && sysUser.getUserId().equals(taPerson.getUserId())) {
                    taPerson.setIsOrgManager(sysUser.getIsOrgManager());
                }

                // 尝试去绑定农机手人员
                if (StringUtils.isEmpty(taPerson.getUserId())) {
                    taPerson.setUserId(sysUser.getUserId());
                    updateById(taPerson);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public ChartParam statisTotal() {
        return baseMapper.statisTotal();
    }

    @Override
    public TaPerson getByPhone(String clientId, String phone) {
        return baseMapper.getByPhone(clientId, phone);
    }

    @Override
    public IPage<TaPerson> getPageBy(IPage<TaPerson> pg, String identity, String nickName, String phone) {
        return baseMapper.getPageBy(pg, identity, nickName, phone);
    }

    @Override
    public boolean unBindUser(String userId) throws Exception {
        return baseMapper.unBindUser(userId) > 0;
    }
}
