package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.entity.TaUserMachinery;
import com.yunzhi.nanyang.mapper.TaUserMachineryMapper;
import com.yunzhi.nanyang.service.ITaUserMachineryService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 农机绑定 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaUserMachineryServiceImpl extends BaseServiceImpl<TaUserMachineryMapper, TaUserMachinery> implements ITaUserMachineryService {

    @Override
    public List<TaUserMachinery> getByUser(String userId) {
        return baseMapper.getByUser(userId);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean editWithUser(String userId, List<TaUserMachinery> userMachineryList) throws Exception {

        // 先删除所有
        removeByMap(new HashMap<String, Object>(){{
            put("user_id", userId);
        }});

        if (null == userMachineryList || userMachineryList.size() < 1) return true;

        //
        for (TaUserMachinery userMachinery : userMachineryList) {
            userMachinery.setSerialNo(null);
            userMachinery.setUserId(userId);
        }

        return saveBatch(userMachineryList);
    }
}
