package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.entity.TaDispatch;
import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.entity.TaWorkJob;
import com.yunzhi.nanyang.mapper.TaWorkJobMapper;
import com.yunzhi.nanyang.service.ITaWorkJobService;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 作业表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaWorkJobServiceImpl extends BaseServiceImpl<TaWorkJobMapper, TaWorkJob> implements ITaWorkJobService {

    @Override
    public TaWorkJob createByDispatch(TaDispatch taDispatch, TaOrder taOrder) throws Exception {

        TaWorkJob taWorkJob = new TaWorkJob();
        LocalDateTime now = LocalDateTime.now();
        taWorkJob.setJobId(null);
        taWorkJob.setDispatchId(taDispatch.getDispatchId());
        taWorkJob.setOrderId(taOrder.getOrderId());
        taWorkJob.setWorkerId(taDispatch.getWorkerId());
        taWorkJob.setMachineryId(taDispatch.getMachineryId());
        taWorkJob.setStartDate(now);
        taWorkJob.setOrgId(taDispatch.getOrgId());
        taWorkJob.setStatus(Constants.WORK_READY);
        taWorkJob.setCreateUser(taDispatch.getWorkerId());
        taWorkJob.setCreateDate(now);

        if (!save(taWorkJob)) {
            throw new Exception("生成作业信息异常");
        }

        return taWorkJob;
    }

    @Override
    public IPage<TaWorkJob> getPageBy(IPage<TaWorkJob> pg, String userId) {
        return baseMapper.getPageBy(pg, userId);
    }

    @Override
    public TaWorkJob getDetailBy(String id) {
        return baseMapper.getDetailBy(id);
    }

    @Override
    public IPage<TaWorkJob> getAdminPageBy(IPage<TaWorkJob> pg,
                                           String orgId,
                                           LocalDateTime startDate,
                                           LocalDateTime endDate,
                                           Integer status,
                                           String orderNo,
                                           String machineryTypeId,
                                           String machineryId,
                                           String workerName) {
        return baseMapper.getAdminPageBy(pg, orgId, startDate, endDate, status, orderNo, machineryTypeId, machineryId, workerName);
    }
}
