package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.nanyang.common.DateUtils;
import com.yunzhi.nanyang.common.StringUtils;
import com.yunzhi.nanyang.entity.*;
import com.yunzhi.nanyang.mapper.TaWorkMessageMapper;
import com.yunzhi.nanyang.service.ITaWorkMessageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;


/**
 * <p>
 * 作业消息 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Slf4j
@Service
public class TaWorkMessageServiceImpl extends BaseServiceImpl<TaWorkMessageMapper, TaWorkMessage> implements ITaWorkMessageService {

    @Async
    @Override
    public void appoints(TaOrder taOrder, TaPerson taPerson) {
        try {
            TaWorkMessage message = new TaWorkMessage();
            message.setMessageType("appoint");
            message.setAppointPerson(StringUtils.ifNull(taPerson.getNickName(), taPerson.getPhone()));
            message.setAppointTime(DateUtils.now());
            message.setAppointMachineryType(taOrder.getTypeName());
            save(message);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public List<TaWorkMessage> listByType(String messageType, Integer limit) {
        QueryWrapper<TaWorkMessage> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(!StringUtils.isEmpty(messageType), "message_type", messageType);
        queryWrapper.orderByDesc("create_date");
        queryWrapper.last("limit " + limit);

        return list(queryWrapper);
    }
}
