package com.yunzhi.nanyang.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yunzhi.nanyang.entity.TaExtendContent;
import com.yunzhi.nanyang.entity.TaImages;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value="MachineSummary", description="农机列表")
public class MachineSummary {

    @ApiModelProperty(value = "农机Id")
    @TableId(value = "machinery_id", type = IdType.UUID)
    private String machineryId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "农机类型")
    private String typeId;

    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @ApiModelProperty(value = "农机价格")
    private Integer price;

    @ApiModelProperty(value = "主图")
    private String thumb;

    @ApiModelProperty(value = "当前位置")
    private String location;

    @ApiModelProperty(value = "距离")
    private Float distance;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @ApiModelProperty(value = "工作状态")
    private String jobStatus;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "内容详情")
    List<TaExtendContent> contentList;

    @ApiModelProperty(value = "图片列表")
    List<TaImages> imagesList;
}
